EVE and ShaderModel support – Episode II

TL;DR: Graphics cards with ShaderModel 3.0 support will become the minimum required graphics cards to run EVE Online at a yet-to-be-announced date in Q2 2011.

The TL version:

You may remember about a year and a half ago we decided to discontinue support for legacy graphics cards by setting the new minimum hardware spec for EVE Online at ShaderModel 2.0. During that time we have, as promised, been following hardware trends closely. We now believe we'll be in a position where we can make ShaderModel 3.0 graphics cards the minimum requirement to play EVE Online in the first part of next year.

Why are we doing this?

To keep EVE vibrant and alive we publish two expansions every year. We rework art assets to bring them to and beyond the industry standard, we add new game play features, we refactor old systems and in general we keep evolving EVE and keep setting the bar higher for excellence. That means we need to also keep evaluating the platforms that can run the game client and we're now in a position where we need to move to ShaderModel 3.0 to make the next evolutionary step.

Not only is this needed for EVE to look amazing, it's needed for EVE to perform better. Supporting legacy graphics cards takes up quite a bit of our development effort, effort that we'd much rather be spending on improving the client performance. It also warrants mention that sometimes graphics bugs are caused by driver issues and when those graphics drivers are no longer supported there is not much that we can do to fix the issue. This creates a frustrating situation for us and our players, a situation that we would rather ... nuke from orbit.

So what does that mean?

Simply put it means that to run EVE Online you'll have to have Nvidia GeForce series 6 or higher cards. Ati Radeon X1300 (Radeon R520 chips) or higher or Intel GMA X3000 or higher or Intel G965 or higher. These are series of cards that were first published in 2004-2005 and we will therefore continue supporting graphics cards over half a decade old.

What isn't supported?

Examples of cards that will no longer be able to run EVE Online are the Nvidia GeForce FX series (Nvidia has discontinued driver support for this series) and the ATI X-series below 1300 (running chips R420 and older).

Can I play?

Download and run this small app to see what graphics card you have and if it supports shader model 3.0.